"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.behaviorpack_diagnose_entity_components = void 0;
const loot_1 = require("./loot");
const trade_1 = require("./trade");
const checks_1 = require("../../../../Utility/components/checks");
const filters_1 = require("./filters");
/**
 *
 * @param container
 * @param context
 * @param diagnoser
 */
function behaviorpack_diagnose_entity_components(container, context, diagnoser) {
    (0, checks_1.components_check)(container, context, diagnoser, component_test);
    (0, filters_1.behaviorpack_entity_components_filters)(container, diagnoser);
}
exports.behaviorpack_diagnose_entity_components = behaviorpack_diagnose_entity_components;
const component_test = {
    "minecraft:economy_trade_table": trade_1.check_trade_table,
    "minecraft:equipment": loot_1.check_loot_table,
    "minecraft:loot": loot_1.check_loot_table,
    "minecraft:trade_table": trade_1.check_trade_table,
};
//# sourceMappingURL=diagnose.js.map