"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.general_boolean_diagnose = void 0;
const bc_minecraft_bedrock_types_1 = require("bc-minecraft-bedrock-types");
const Severity_1 = require("../../Types/Severity");
function general_boolean_diagnose(value, diagnoser) {
    if (bc_minecraft_bedrock_types_1.General.Boolean.is(value.text))
        return;
    diagnoser.add(value, "Invalid boolean value: " + value.text, Severity_1.DiagnosticSeverity.error, "general.boolean.invalid");
}
exports.general_boolean_diagnose = general_boolean_diagnose;
//# sourceMappingURL=Boolean.js.map