"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.general_keyword_diagnose = void 0;
const Types_1 = require("../../Types");
function general_keyword_diagnose(keyword, value, diagnoser) {
    //Keyword matches the given value, then stop
    if (value.text === keyword)
        return;
    diagnoser.add(value, `Invalid keyword: ${value}, expected keyword: ${value}`, Types_1.DiagnosticSeverity.error, "general.keyword.invalid");
}
exports.general_keyword_diagnose = general_keyword_diagnose;
//# sourceMappingURL=Keyword.js.map