"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.general_string_diagnose = void 0;
const Types_1 = require("../../Types");
const bc_minecraft_bedrock_types_1 = require("bc-minecraft-bedrock-types");
function general_string_diagnose(value, diagnoser) {
    if (bc_minecraft_bedrock_types_1.General.String.is(value.text))
        return;
    console.log(Types_1.DiagnosticSeverity.error);
    diagnoser.add(value, `Invalid minecraft string: '${value.text}'`, Types_1.DiagnosticSeverity.error, "general.string.invalid");
}
exports.general_string_diagnose = general_string_diagnose;
//# sourceMappingURL=String.js.map