import { BehaviorPack, Internal, ResourcePack, MolangCarrier, AnimationCarrier } from "bc-minecraft-bedrock-project";
import { Defined, Molang, MolangDataSetKey } from "bc-minecraft-molang";
import { DiagnosticsBuilder } from "../../Types/DiagnosticsBuilder";
import { Types } from "bc-minecraft-bedrock-types";
export type animation_controllers = Internal.BehaviorPack.AnimationControllers | Internal.ResourcePack.AnimationControllers;
export type animation_controller = Internal.BehaviorPack.AnimationController | Internal.ResourcePack.AnimationController;
export type animationsOwner = Types.Identifiable & MolangCarrier<Molang.MolangSet> & AnimationCarrier<Defined<String>>;
/**
 *
 * @param data
 * @param diagnoser
 */
export declare function general_animation_controllers(data: animation_controllers, diagnoser: DiagnosticsBuilder): void;
/**
 *
 * @param controller
 * @param controller_id
 * @param diagnoser
 */
export declare function general_animation_controller(controller: animation_controller, controller_id: string, diagnoser: DiagnosticsBuilder): void;
export declare function general_animation_controllers_implementation(controller: ResourcePack.AnimationController.AnimationController | BehaviorPack.AnimationController.AnimationController, user: Types.Identifiable & AnimationCarrier<Defined<string>> & MolangCarrier<Molang.MolangSetOptional>, ownerType: MolangDataSetKey, diagnoser: DiagnosticsBuilder): void;
