"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_check_command = void 0;
const bc_minecraft_bedrock_command_1 = require("bc-minecraft-bedrock-command");
const Types_1 = require("../../Types");
/**
 *
 * @param blockDescriptor
 * @param diagnoser
 */
function minecraft_check_command(command, diagnoser, edu) {
    if ((0, bc_minecraft_bedrock_command_1.hasCommandData)(command.text, edu))
        return;
    diagnoser.add(command, "Command does not exist: " + command.text, Types_1.DiagnosticSeverity.error, "minecraft.commands.invalid");
}
exports.minecraft_check_command = minecraft_check_command;
//# sourceMappingURL=Commands.js.map