"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_fakentity_diagnose = void 0;
const Types_1 = require("../../../Lib/Types");
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
function minecraft_fakentity_diagnose(value, diagnoser) {
    const data = diagnoser.context.getCache();
    const id = bc_minecraft_bedrock_project_1.Text.UnQuote(value.text);
    //Project has defined
    if (data.General.fakeEntities.has(id))
        return;
    //Nothing then report error
    diagnoser.add(value, `Cannot find fake entity definition: ${id}`, Types_1.DiagnosticSeverity.error, "minecraft.fakeentity.missing");
}
exports.minecraft_fakentity_diagnose = minecraft_fakentity_diagnose;
//# sourceMappingURL=FakeEntity.js.map