"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectorattribute_coordinate = void 0;
const Severity_1 = require("../../../Types/Severity");
const Coordinate_1 = require("../Coordinate");
/**
 *
 * @param name
 * @param selector
 * @param receiver
 */
function selectorattribute_coordinate(value, diagnoser) {
    if (value.text.startsWith("^")) {
        diagnoser.add(value, "Selector attribute coordinate cannot be local coordinates types, only relative or absolute", Severity_1.DiagnosticSeverity.error, "minecraft.selector.coordinate.invalid");
        return false;
    }
    return (0, Coordinate_1.minecraft_coordinate_diagnose)(value, diagnoser);
}
exports.selectorattribute_coordinate = selectorattribute_coordinate;
//# sourceMappingURL=Coordinate.js.map