import { ComponentBehavior } from "bc-minecraft-bedrock-types/lib/src/minecraft/components";
import { DiagnosticsBuilder } from "../../Types";
import { Context } from "./components";
export type ComponentCheck = (name: string, component: any, context: Context, diagnoser: DiagnosticsBuilder) => void;
export declare function component_error(message: string, code: string | number): ComponentCheck;
export declare function component_warning(message: string, code: string | number): ComponentCheck;
export declare function components_check(data: ComponentBehavior | undefined, context: Context, diagnoser: DiagnosticsBuilder, component_test: Record<string, ComponentCheck>): void;
