"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.behaviorpack_block_components_dependencies = void 0;
const components_1 = require("../../../../Utility/components");
//Map of components that are depended on all other specified components
const component_dependents_all = {};
//Map of components that are depended on one of the other specified components
const component_dependents_any = {};
/**
 * Checks if components dependencies are present, a component might need others to be present
 * @param block The entity to check
 * @param diagnoser The diagnoser to report to*/
function behaviorpack_block_components_dependencies(block, context, diagnoser) {
    (0, components_1.components_dependencies)("block", context, diagnoser, component_dependents_all, component_dependents_any);
}
exports.behaviorpack_block_components_dependencies = behaviorpack_block_components_dependencies;
//# sourceMappingURL=dependencies.js.map