"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.behaviorpack_entity_components_check = void 0;
const diagnose_1 = require("./components/diagnose");
function behaviorpack_entity_components_check(entity, context, diagnoser) {
    const desc = entity["minecraft:entity"];
    behaviorpack_entity_componentscontainer_check(desc.components, context, diagnoser);
    if (desc.component_groups === undefined)
        return;
    const groups = Object.getOwnPropertyNames(desc.component_groups);
    for (let I = 0; I < groups.length; I++) {
        const group = groups[I];
        behaviorpack_entity_componentscontainer_check(desc.component_groups[group], context, diagnoser);
    }
}
exports.behaviorpack_entity_components_check = behaviorpack_entity_components_check;
function behaviorpack_entity_componentscontainer_check(container, context, diagnoser) {
    if (container === null || typeof container !== "object")
        return;
    (0, diagnose_1.behaviorpack_diagnose_entity_components)(container, context, diagnoser);
}
//# sourceMappingURL=components.js.map