"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diagnose_filter_has_tag = void 0;
const main_1 = require("../../../../../main");
const Tag_1 = require("../../Tag");
function diagnose_filter_has_tag(filter, diagnoser) {
    const tag = filter.value;
    if (!tag) {
        return diagnoser.add("test/has_tag", "Tag is not defined", main_1.DiagnosticSeverity.error, "minecraft.filter.has_tag.type");
    }
    if (typeof tag !== "string") {
        return diagnoser.add(`test/has_tag/${tag}`, "Tag is not defined", main_1.DiagnosticSeverity.error, "minecraft.filter.has_tag.type");
    }
    (0, Tag_1.minecraft_tag_diagnose)(tag, diagnoser);
}
exports.diagnose_filter_has_tag = diagnose_filter_has_tag;
//# sourceMappingURL=has_tag.js.map