"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diagnose_filter_is_family = void 0;
const main_1 = require("../../../../../main");
const Family_1 = require("../../Family");
function diagnose_filter_is_family(filter, diagnoser) {
    const family = filter.value;
    if (!family) {
        return diagnoser.add("test/is_family", "Family is not defined", main_1.DiagnosticSeverity.error, "minecraft.filter.is_family.type");
    }
    if (typeof family !== "string") {
        return diagnoser.add(`test/is_family/${family}`, "Family is not defined", main_1.DiagnosticSeverity.error, "minecraft.filter.is_family.type");
    }
    (0, Family_1.minecraft_family_diagnose)(family, diagnoser);
}
exports.diagnose_filter_is_family = diagnose_filter_is_family;
//# sourceMappingURL=is_family.js.map