"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diagnose_filter_property = void 0;
const properties_1 = require("../../../BehaviorPack/Entity/properties");
function diagnose_filter_property(filter, diagnoser) {
    const { test, domain, value } = filter;
    const entities = diagnoser.context.getCache().BehaviorPacks.entities;
    entities.forEach((entity) => {
        if (entity.properties) {
            const property = entity.properties.find((property) => property.name === domain);
            if (property) {
                (0, properties_1.diagnose_entity_property_usage)([property], test, value, "filter", diagnoser);
            }
        }
    });
}
exports.diagnose_filter_property = diagnose_filter_property;
//# sourceMappingURL=property.js.map