"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_xp_diagnose = void 0;
const bc_minecraft_bedrock_types_1 = require("bc-minecraft-bedrock-types");
const Types_1 = require("../../Types");
function minecraft_xp_diagnose(value, diagnoser) {
    if (bc_minecraft_bedrock_types_1.Minecraft.XP.is(value.text))
        return;
    diagnoser.add(value, "Invalid xp value: " + value.text, Types_1.DiagnosticSeverity.error, "minecraft.xp.invalid");
}
exports.minecraft_xp_diagnose = minecraft_xp_diagnose;
//# sourceMappingURL=Xp.js.map